| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
HistoryAttributes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class HistoryAttributes, to specify the attributes of a WriterHistory or a ReaderHistory. More...

`#include <HistoryAttributes.hpp>`

## Public Member Functions

| HistoryAttributes ()
| Default constructor.
| HistoryAttributes (MemoryManagementPolicy_t memoryPolicy, uint32_t payload, int32_t initial, int32_t maxRes)
| Constructor.
| HistoryAttributes (MemoryManagementPolicy_t memoryPolicy, uint32_t payload, int32_t initial, int32_t maxRes, int32_t extra)
| Constructor.
virtual | ~HistoryAttributes ()

## Public Attributes

MemoryManagementPolicy_t | memoryPolicy
| Memory management policy.
uint32_t | payloadMaxSize
| Maximum payload size of the history, default value 500.
int32_t | initialReservedCaches
| Number of the initial Reserved Caches, default value 500.
int32_t | maximumReservedCaches
| Maximum number of reserved caches.
int32_t | extraReservedCaches
| Number of extra caches that can be reserved for other purposes than the history.

## Detailed Description

Class HistoryAttributes, to specify the attributes of a WriterHistory or a ReaderHistory.

This class is only intended to be used with the RTPS API. The Publisher-Subscriber API has other fields to define this values (HistoryQosPolicy and ResourceLimitsQosPolicy).

## Constructor & Destructor Documentation

## ◆ HistoryAttributes() [1/3]

HistoryAttributes | ( |  | ) |

inline

Default constructor.

## ◆ HistoryAttributes() [2/3]

HistoryAttributes | ( | MemoryManagementPolicy_t | memoryPolicy,
|  | uint32_t | payload,
|  | int32_t | initial,
|  | int32_t | maxRes )

inline

Constructor.

Parameters

  memoryPolicy | Set whether memory can be dynamically reallocated or not
  payload | Maximum payload size. It is used when memory management policy is PREALLOCATED_MEMORY_MODE or PREALLOCATED_WITH_REALLOC_MEMORY_MODE.
  initial | Initial reserved caches. It is used when memory management policy is PREALLOCATED_MEMORY_MODE or PREALLOCATED_WITH_REALLOC_MEMORY_MODE.
  maxRes | Maximum reserved caches.

## ◆ HistoryAttributes() [3/3]

HistoryAttributes | ( | MemoryManagementPolicy_t | memoryPolicy,
|  | uint32_t | payload,
|  | int32_t | initial,
|  | int32_t | maxRes,
|  | int32_t | extra )

inline

Constructor.

Parameters

  memoryPolicy | Set whether memory can be dynamically reallocated or not
  payload | Maximum payload size. It is used when memory management policy is PREALLOCATED_MEMORY_MODE or PREALLOCATED_WITH_REALLOC_MEMORY_MODE.
  initial | Initial reserved caches. It is used when memory management policy is PREALLOCATED_MEMORY_MODE or PREALLOCATED_WITH_REALLOC_MEMORY_MODE.
  maxRes | Maximum reserved caches.
  extra | Extra reserved caches.

## ◆ ~HistoryAttributes()

virtual ~HistoryAttributes | ( |  | ) |

inline virtual

## Member Data Documentation

## ◆ extraReservedCaches

int32_t extraReservedCaches

Number of extra caches that can be reserved for other purposes than the history.

For example, on a full history, the writer could give as many as these to be used by the application but they will not be able to be inserted in the history unless some cache from the history is released.

Default value is 1.

## ◆ initialReservedCaches

int32_t initialReservedCaches

Number of the initial Reserved Caches, default value 500.

## ◆ maximumReservedCaches

int32_t maximumReservedCaches

Maximum number of reserved caches.

Default value is 0 that indicates to keep reserving until something breaks.

## ◆ memoryPolicy

MemoryManagementPolicy_t memoryPolicy

Memory management policy.

## ◆ payloadMaxSize

uint32_t payloadMaxSize

Maximum payload size of the history, default value 500.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/HistoryAttributes.hpp